Bug 1779239 - ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Summary: ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-03 15:03 UTC by Harald Reindl
Modified: 2021-01-04 07:42 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Harald Reindl 2019-12-03 15:03:52 UTC
these messages appear randomly in the logs and after asking if that's just noise on the server the user respsoned taht his *fucking* macOS complained that it couldn't overwrite a file and finally freezed at all


samba-4.10.10-0.fc30.x86_64

Dec  3 14:49:04 arrakis smbd[3283705]: [2019/12/03 14:49:04.848944,  0] ../../source3/smbd/open.c:3443(open_file_ntcreate)
Dec  3 14:49:04 arrakis smbd[3283705]:  open_file_ntcreate: Could not get share mode lock for folder/._05.jpg
Dec  3 14:49:04 arrakis smbd[3283705]: [2019/12/03 14:49:04.848994,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Dec  3 14:49:04 arrakis smbd[3283705]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Dec  3 15:15:01 arrakis smbd[3298287]: [2019/12/03 15:15:01.126514,  0] ../../source3/smbd/open.c:3443(open_file_ntcreate)
Dec  3 15:15:01 arrakis smbd[3298287]:  open_file_ntcreate: Could not get share mode lock for folder/._03.jpg
Dec  3 15:15:01 arrakis smbd[3298287]: [2019/12/03 15:15:01.126561,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Dec  3 15:15:01 arrakis smbd[3298287]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed

[global]
 server string = webserver.vmware.local
 netbios name = webserver
 smb ports = 445
 socket options = TCP_NODELAY IPTOS_LOWDELAY SO_KEEPALIVE

 interfaces = 192.168.196.6
 bind interfaces only = yes

 hosts allow = 127.0.0.0/8 192.168.196.0/24
 hide files = /.AppleDesktop/.AppleDouble/.Parent/desktop.ini/$RECYCLE.BIN/
 veto files = /.AppleDesktop/.AppleDouble/.Parent/desktop.ini/$RECYCLE.BIN/
 delete veto files = yes

 access based share enum = yes
 inherit permissions = yes
 inherit acls = yes
 nt acl support = no
 nt pipe support = yes
 browseable = yes
 writeable = yes
 guest ok = no
 wide links = no
 follow symlinks = no
 vfs objects = catia fruit streams_xattr
 ea support = yes

 workgroup = LOUNGE
 lm announce = no
 lanman auth = no
 ntlm auth = no
 client lanman auth = no
 client ntlmv2 auth = yes
 client signing = auto
 server signing = auto
 security = user
 restrict anonymous = 2
 invalid users = nobody root admin administrator guest gast pcguest anonymous
 log file = /var/log/samba/samba.log
 log level = 1 auth:2 passdb:2 tdb:1 vfs:1 smb:1 locking:1 sam:1 winbind:1 idmap:1 quota:1 acls:0 msdfs:1 dmapi:1 registry:1 printdrivers:0 lanman:0 rpc_parse:0 rpc_srv:0 rpc_cli:0
 max log size = 4096
 os level = 0
 domain master = no
 preferred master = no
 local master = no
 disable netbios = yes
 wins support = no
 browse list = no
 dns proxy = no
 multicast dns register = no
 name resolve order = host bcast
 max smbd processes = 50
 use sendfile = yes
 read raw = yes
 write raw = yes
 getwd cache = yes
 stat cache = yes
 max stat cache size = 256
 ldap ssl = no
 time server = no
 unix extensions = no
 show add printer wizard = no
 load printers = no
 printable = no
 printing = bsd
 printcap name = /dev/null

Comment 1 Guenther Deschner 2019-12-03 15:26:24 UTC
Can you share the smb.conf share configuration as well, I see that fruit is used globally but checking on the other fruit options might help quite a bit here.

Comment 2 Harald Reindl 2019-12-03 15:43:21 UTC
which other fruit options and why should i set them in the share?


[www-servers]
 comment = Webserver
 path = /var/www
 valid users = user1, user2, user3
 force group = apache

---------------------------------------

all machines are identical configured and smb.conf is in sync here, the same happens with the glohbal settings above and a share definition like this *randomly*

[fileserver]
 comment = Fileserver
 path = /storage
 valid users = @smb-fileserver
 write list = @smb-fileserver

Comment 3 Harald Reindl 2019-12-09 02:43:07 UTC
no idea why the "needinfo" flag was not cleared

Comment 4 Harald Reindl 2020-02-04 11:14:07 UTC
vfs_fruit sucks the same way as apple devices

Feb  4 09:23:27 south smbd[1116]: [2020/02/04 09:23:27.432718,  0] ../../source3/smbd/open.c:3443(open_file_ntcreate)
Feb  4 09:23:27 south smbd[1116]:  open_file_ntcreate: Could not get share mode lock for CLIENTS/CLIENTS i-o/loncium.at/2020/01/01_naturradler_plakat/MAT/._Radler Euro Flasche_bearbeitet.png
Feb  4 09:23:27 south smbd[1116]: [2020/02/04 09:23:27.432798,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Feb  4 09:23:27 south smbd[1116]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Feb  4 09:25:38 south smbd[1116]: [2020/02/04 09:25:38.115049,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:25:38 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:25:38 south smbd[1116]: [2020/02/04 09:25:38.115820,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:25:38 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:25:40 south smbd[1116]: [2020/02/04 09:25:40.613854,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:25:40 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:25:40 south smbd[1116]: [2020/02/04 09:25:40.614596,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:25:40 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:31:06 south smbd[1116]: [2020/02/04 09:31:06.921851,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:31:06 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:31:06 south smbd[1116]: [2020/02/04 09:31:06.922449,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:31:06 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:31:07 south smbd[1116]: [2020/02/04 09:31:07.503789,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:31:07 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:31:07 south smbd[1116]: [2020/02/04 09:31:07.504095,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:31:07 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:33:45 south smbd[1116]: [2020/02/04 09:33:45.790819,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:33:45 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:33:45 south smbd[1116]: [2020/02/04 09:33:45.791366,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:33:45 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:34:23 south smbd[1116]: [2020/02/04 09:34:23.172385,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:34:23 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:34:23 south smbd[1116]: [2020/02/04 09:34:23.172916,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:34:23 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:37:24 south smbd[1116]: [2020/02/04 09:37:24.425378,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:37:24 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:37:24 south smbd[1116]: [2020/02/04 09:37:24.426141,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:37:24 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:37:24 south smbd[1116]: [2020/02/04 09:37:24.940789,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:37:24 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:37:24 south smbd[1116]: [2020/02/04 09:37:24.941394,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:37:24 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:43:48 south smbd[1116]: [2020/02/04 09:43:48.929491,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:43:48 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:43:48 south smbd[1116]: [2020/02/04 09:43:48.929819,  0] ../../source3/modules/vfs_fruit.c:1700(ad_read_rsrc_adouble)
Feb  4 09:43:48 south smbd[1116]:  ad_read_rsrc_adouble: invalid AppleDouble resource .
Feb  4 09:47:55 south smbd[1116]: [2020/02/04 09:47:55.179898,  0] ../../source3/smbd/open.c:3443(open_file_ntcreate)
Feb  4 09:47:55 south smbd[1116]:  open_file_ntcreate: Could not get share mode lock for CLIENTS/CLIENTS i-o/loncium.at/2020/01/01_landbier_plakat/._Radler Euro Flasche frei.psd
Feb  4 09:47:55 south smbd[1116]: [2020/02/04 09:47:55.179938,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Feb  4 09:47:55 south smbd[1116]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed

Comment 5 Harald Reindl 2020-02-07 12:31:03 UTC
this becomes worser and worser, now with samba-4.11.6-0.fc31.x86_64 after upgrade to Fedora 31:


systemd-journald[408]: Suppressed 562 messages from smb.service

Feb  7 11:59:14 fileserver smbd[286417]: [2020/02/07 11:59:14.005787,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Feb  7 11:59:14 fileserver smbd[286417]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Feb  7 11:59:14 fileserver smbd[286417]: [2020/02/07 11:59:14.005852,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Feb  7 11:59:14 fileserver smbd[286417]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Feb  7 11:59:25 fileserver systemd-journald[408]: Suppressed 562 messages from smb.service
Feb  7 11:59:25 fileserver smbd[286417]: [2020/02/07 11:59:25.716207,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Feb  7 11:59:25 fileserver smbd[286417]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Feb  7 11:59:25 fileserver smbd[286417]: [2020/02/07 11:59:25.716289,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Feb  7 11:59:25 fileserver smbd[286417]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Feb  7 11:59:25 fileserver smbd[286417]: [2020/02/07 11:59:25.717394,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Feb  7 11:59:25 fileserver smbd[286417]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Feb  7 11:59:25 fileserver smbd[286417]: [2020/02/07 11:59:25.717887,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Feb  7 11:59:25 fileserver smbd[286417]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Feb  7 11:59:25 fileserver smbd[286417]: [2020/02/07 11:59:25.855699,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Feb  7 11:59:25 fileserver smbd[286417]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Feb  7 11:59:26 fileserver smbd[286417]: [2020/02/07 11:59:26.184808,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Feb  7 11:59:26 fileserver smbd[286417]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Feb  7 11:59:26 fileserver smbd[286417]: [2020/02/07 11:59:26.188253,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Feb  7 11:59:26 fileserver smbd[286417]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed
Feb  7 11:59:26 fileserver smbd[286417]: [2020/02/07 11:59:26.191863,  0] ../../source3/modules/vfs_fruit.c:1615(ad_open_rsrc)
Feb  7 11:59:26 fileserver smbd[286417]:  ad_open_rsrc: SMB_VFS_CREATE_FILE failed

Comment 6 Ben Cotton 2020-11-03 16:47:58 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.